#### D.10.1.10 closed_points

Procedure from library `brnoeth.lib` (see brnoeth_lib).

Usage:
  closed_points(I); I an ideal

Return:
  list of prime ideals (each a Groebner basis), corresponding to the (distinct affine closed) points of V(I)

Note:
  The ideal must have dimension 0, the basering must have 2 variables, the ordering must be lp, and the base field must be finite and prime.
  It might be convenient to set the option(redSB) in advance.

Example:

    LIB "brnoeth.lib";
    ring s=2,(x,y),lp;
    // this is just the affine plane over F_4 :
    ideal I=x4+x,y4+y;
    list L=closed_points(I);
    // and here you have all the points :
    L;
    ==> [1]:
    ==>    _[1]=y
    ==>    _[2]=x
    ==> [2]:
    ==>    _[1]=y
    ==>    _[2]=x+1
    ==> [3]:
    ==>    _[1]=y
    ==>    _[2]=x2+x+1
    ==> [4]:
    ==>    _[1]=y+1
    ==>    _[2]=x
    ==> [5]:
    ==>    _[1]=y+1
    ==>    _[2]=x+1
    ==> [6]:
    ==>    _[1]=y+1
    ==>    _[2]=x2+x+1
    ==> [7]:
    ==>    _[1]=y2+y+1
    ==>    _[2]=x+1
    ==> [8]:
    ==>    _[1]=y2+y+1
    ==>    _[2]=x+y
    ==> [9]:
    ==>    _[1]=y2+y+1
    ==>    _[2]=x+y+1
    ==> [10]:
    ==>    _[1]=y2+y+1
    ==>    _[2]=x

See also: triang_lib.

User manual for Singular version 4-0-3, 2016, generated by texi2html.